View
Defines an entity view.
Operations
| Method | Endpoint | Description |
|---|---|---|
GET |
/space/{space_id}/view |
List Views |
GET |
/view |
List of Views across spaces |
GET |
/space/{space_id}/view/{view_id} |
Get View |
POST |
/space/{space_id}/view |
Create View |
POST |
/view |
Bulk create (clone) multiple views |
PATCH |
/space/{space_id}/view/{view_id} |
Patch View |
PUT |
/space/{space_id}/view/{view_id} |
Update View |
PATCH |
/view |
Bulk patch multiple views |
DELETE |
/space/{space_id}/view/{view_id} |
Delete View |
DELETE |
/view |
Bulk delete multiple views |
List Views
GET /space/{space_id}/view
List Views
Operation ID: ListViews
Parameters
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
space_id |
string | ✓ | Unique identifier for a space_id |
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
where |
string | The specified string is an expression for the purpose of filtering the list of Views returned. The expression syntax was inspired by SQL. It supports conjunctions using AND of relational expressions of the form attribute operator attribute_or_literal. The attribute names are case-sensitive and PascalCase, as in the JSON encoding. Strings support the following operators: <, >, <=, >=, =, !=, LIKE, ILIKE, ~~, !~~, ~, ~*, !~, !~*, IN, NOT IN. String pattern operators: LIKE and ~~ for pattern matching with % and _ wildcards, ILIKE for case-insensitive pattern matching, !~~ for NOT LIKE. String regex operators: ~ for regex matching, ~* for case-insensitive regex, !~ and !~* for regex not matching (case-sensitive and insensitive). Integers support the following operators: <, >, <=, >=, =, !=, IN, NOT IN. UUIDs and boolean attributes support equality and inequality only. UUID and time literals must be quoted as string literals. String literals are quoted with single quotes, such as 'string'. Time literals use the same form as when serialized as JSON, such as: CreatedAt > '2025-02-18T23:16:34'. Integer and boolean literals are also supported for attributes of those types. Arrays support the ? operator to to match any element of the array, as in ApprovedBy ? '7c61626f-ddbe-41af-93f6-b69f4ab6d308'. Arrays can perform LEN() to check for length, as in LEN(ApprovedBy) > 0. Map support the dot notation to specify a particular map key, as in Labels.tier = 'Backend'. The IN and NOT IN operators accept a comma-separated list of values in parentheses, such as Slug IN ('slugone', 'slugtwo') or Labels.environment IN ('prod', 'staging'). Conjunctions are supported using the AND operator. An example conjunction is: CreatedAt >= '2025-01-07' AND Slug = 'test' AND Labels.mykey = 'myvalue'. Supported attributes for filtering on View: CreatedAt, DisplayName, FilterID, GroupBy, Labels, OrderBy, OrderByDirection, OrganizationID, Slug, SpaceID, UpdatedAt, ViewID. The whole string must be query-encoded. |
|
filter |
string | UUID of a Filter entity to apply to the View list. The Filter must be in the same Organization as the user credentials. The Filter's From field must match the entity type being filtered (View). For Space-resident entities, if the Filter has a FromSpaceID, it must match the operation's SpaceID. The Filter's Where clause will be combined with any explicit 'where' parameter using AND logic. If both 'filter' and 'where' parameters are specified, they are combined with AND logic. | |
contains |
string | Free text search that approximately matches the specified string against string fields and map keys/values. The search is case-insensitive and uses pattern matching to find entities containing the text. Searchable string fields include attributes like Slug, DisplayName, and string-typed custom fields. For map fields (like Labels and Annotations), the search matches both map keys and values. The search uses OR logic across all searchable fields, so matching any field will return the entity. If both 'where' and 'contains' parameters are specified, they are combined with AND logic. Searchable fields for View include string and map-type attributes from the queryable attributes list. The whole string must be query-encoded. | |
include |
string | Include clause for expanding related entities in the response for View. The attribute names are case-sensitive, PascalCase, and expected in a comma-separated list format as in the JSON encoding. Supported attributes for View are FilterID, OrganizationID, SpaceID. The whole string must be query-encoded. | |
select |
string | Select clause for specifying which fields to include in the response for View. The attribute names are case-sensitive, PascalCase, and expected in a comma-separated list format as in the JSON encoding. If not specified, all fields are returned. Entity and parent IDs (like OrganizationID, SpaceID, ViewID) and Slug are always returned regardless of the select parameter. Fields used in where and contains filters are also automatically included. Example: 'DisplayName,CreatedAt,Labels' will return only those fields plus the required ID and Slug fields. The whole string must be query-encoded. |
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | OK | application/json |
Array of ExtendedView |
| 400 | View request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | View not found. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing View. | application/json |
StandardErrorResponse |
| default | application/json |
Array of ExtendedView |
List of Views across spaces
GET /view
Retrieves a list of Views across spaces in the Organization
Operation ID: ListAllViews
Parameters
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
where |
string | The specified string is an expression for the purpose of filtering the list of Views returned. The expression syntax was inspired by SQL. It supports conjunctions using AND of relational expressions of the form attribute operator attribute_or_literal. The attribute names are case-sensitive and PascalCase, as in the JSON encoding. Strings support the following operators: <, >, <=, >=, =, !=, LIKE, ILIKE, ~~, !~~, ~, ~*, !~, !~*, IN, NOT IN. String pattern operators: LIKE and ~~ for pattern matching with % and _ wildcards, ILIKE for case-insensitive pattern matching, !~~ for NOT LIKE. String regex operators: ~ for regex matching, ~* for case-insensitive regex, !~ and !~* for regex not matching (case-sensitive and insensitive). Integers support the following operators: <, >, <=, >=, =, !=, IN, NOT IN. UUIDs and boolean attributes support equality and inequality only. UUID and time literals must be quoted as string literals. String literals are quoted with single quotes, such as 'string'. Time literals use the same form as when serialized as JSON, such as: CreatedAt > '2025-02-18T23:16:34'. Integer and boolean literals are also supported for attributes of those types. Arrays support the ? operator to to match any element of the array, as in ApprovedBy ? '7c61626f-ddbe-41af-93f6-b69f4ab6d308'. Arrays can perform LEN() to check for length, as in LEN(ApprovedBy) > 0. Map support the dot notation to specify a particular map key, as in Labels.tier = 'Backend'. The IN and NOT IN operators accept a comma-separated list of values in parentheses, such as Slug IN ('slugone', 'slugtwo') or Labels.environment IN ('prod', 'staging'). Conjunctions are supported using the AND operator. An example conjunction is: CreatedAt >= '2025-01-07' AND Slug = 'test' AND Labels.mykey = 'myvalue'. Supported attributes for filtering on View: CreatedAt, DisplayName, FilterID, GroupBy, Labels, OrderBy, OrderByDirection, OrganizationID, Slug, SpaceID, UpdatedAt, ViewID. The whole string must be query-encoded. |
|
filter |
string | UUID of a Filter entity to apply to the View list. The Filter must be in the same Organization as the user credentials. The Filter's From field must match the entity type being filtered (View). For Space-resident entities, if the Filter has a FromSpaceID, it must match the operation's SpaceID. The Filter's Where clause will be combined with any explicit 'where' parameter using AND logic. If both 'filter' and 'where' parameters are specified, they are combined with AND logic. | |
contains |
string | Free text search that approximately matches the specified string against string fields and map keys/values. The search is case-insensitive and uses pattern matching to find entities containing the text. Searchable string fields include attributes like Slug, DisplayName, and string-typed custom fields. For map fields (like Labels and Annotations), the search matches both map keys and values. The search uses OR logic across all searchable fields, so matching any field will return the entity. If both 'where' and 'contains' parameters are specified, they are combined with AND logic. Searchable fields for View include string and map-type attributes from the queryable attributes list. The whole string must be query-encoded. | |
include |
string | Include clause for expanding related entities in the response for View. The attribute names are case-sensitive, PascalCase, and expected in a comma-separated list format as in the JSON encoding. Supported attributes for View are FilterID, OrganizationID, SpaceID. The whole string must be query-encoded. | |
select |
string | Select clause for specifying which fields to include in the response for View. The attribute names are case-sensitive, PascalCase, and expected in a comma-separated list format as in the JSON encoding. If not specified, all fields are returned. Entity and parent IDs (like OrganizationID, SpaceID, ViewID) and Slug are always returned regardless of the select parameter. Fields used in where and contains filters are also automatically included. Example: 'DisplayName,CreatedAt,Labels' will return only those fields plus the required ID and Slug fields. The whole string must be query-encoded. |
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | OK | application/json |
Array of ExtendedView |
| 400 | View request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | View not found. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing View. | application/json |
StandardErrorResponse |
| default | application/json |
Array of ExtendedView |
Get View
GET /space/{space_id}/view/{view_id}
Get View
Operation ID: GetView
Parameters
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
space_id |
string | ✓ | Unique identifier for a space_id |
view_id |
string | ✓ | Unique identifier for a view_id |
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
include |
string | Include clause for expanding related entities in the response for View. The attribute names are case-sensitive, PascalCase, and expected in a comma-separated list format as in the JSON encoding. Supported attributes for View are FilterID, OrganizationID, SpaceID. The whole string must be query-encoded. | |
select |
string | Select clause for specifying which fields to include in the response for View. The attribute names are case-sensitive, PascalCase, and expected in a comma-separated list format as in the JSON encoding. If not specified, all fields are returned. Entity and parent IDs (like OrganizationID, SpaceID, ViewID) and Slug are always returned regardless of the select parameter. Fields used in where and contains filters are also automatically included. Example: 'DisplayName,CreatedAt,Labels' will return only those fields plus the required ID and Slug fields. The whole string must be query-encoded. |
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | OK | application/json |
ExtendedView |
| 400 | View request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | View not found. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing View. | application/json |
StandardErrorResponse |
| default | application/json |
ExtendedView |
Create View
POST /space/{space_id}/view
Create View
Operation ID: CreateView
Parameters
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
space_id |
string | ✓ | Unique identifier for a space_id |
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
allow_exists |
string | Allowed values are true and false. Default is false. When true, reports success when an entity already exists and returns the existing entity |
Request Body
Content-Type: application/json
Schema: View
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | Defines an entity view. | application/json |
View |
| 400 | View request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | View not found. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing View. | application/json |
StandardErrorResponse |
| default | Defines an entity view. | application/json |
View |
Bulk create (clone) multiple views
POST /view
Clone multiple views selected by query parameters with optional name prefixes and destination spaces
Operation ID: BulkCreateViews
Parameters
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
where |
string | The specified string is an expression for the purpose of filtering the list of Views returned. The expression syntax was inspired by SQL. It supports conjunctions using AND of relational expressions of the form attribute operator attribute_or_literal. The attribute names are case-sensitive and PascalCase, as in the JSON encoding. Strings support the following operators: <, >, <=, >=, =, !=, LIKE, ILIKE, ~~, !~~, ~, ~*, !~, !~*, IN, NOT IN. String pattern operators: LIKE and ~~ for pattern matching with % and _ wildcards, ILIKE for case-insensitive pattern matching, !~~ for NOT LIKE. String regex operators: ~ for regex matching, ~* for case-insensitive regex, !~ and !~* for regex not matching (case-sensitive and insensitive). Integers support the following operators: <, >, <=, >=, =, !=, IN, NOT IN. UUIDs and boolean attributes support equality and inequality only. UUID and time literals must be quoted as string literals. String literals are quoted with single quotes, such as 'string'. Time literals use the same form as when serialized as JSON, such as: CreatedAt > '2025-02-18T23:16:34'. Integer and boolean literals are also supported for attributes of those types. Arrays support the ? operator to to match any element of the array, as in ApprovedBy ? '7c61626f-ddbe-41af-93f6-b69f4ab6d308'. Arrays can perform LEN() to check for length, as in LEN(ApprovedBy) > 0. Map support the dot notation to specify a particular map key, as in Labels.tier = 'Backend'. The IN and NOT IN operators accept a comma-separated list of values in parentheses, such as Slug IN ('slugone', 'slugtwo') or Labels.environment IN ('prod', 'staging'). Conjunctions are supported using the AND operator. An example conjunction is: CreatedAt >= '2025-01-07' AND Slug = 'test' AND Labels.mykey = 'myvalue'. Supported attributes for filtering on View: CreatedAt, DisplayName, FilterID, GroupBy, Labels, OrderBy, OrderByDirection, OrganizationID, Slug, SpaceID, UpdatedAt, ViewID. The whole string must be query-encoded. |
|
filter |
string | UUID of a Filter entity to apply to the View list. The Filter must be in the same Organization as the user credentials. The Filter's From field must match the entity type being filtered (View). For Space-resident entities, if the Filter has a FromSpaceID, it must match the operation's SpaceID. The Filter's Where clause will be combined with any explicit 'where' parameter using AND logic. If both 'filter' and 'where' parameters are specified, they are combined with AND logic. | |
contains |
string | Free text search that approximately matches the specified string against string fields and map keys/values. The search is case-insensitive and uses pattern matching to find entities containing the text. Searchable string fields include attributes like Slug, DisplayName, and string-typed custom fields. For map fields (like Labels and Annotations), the search matches both map keys and values. The search uses OR logic across all searchable fields, so matching any field will return the entity. If both 'where' and 'contains' parameters are specified, they are combined with AND logic. Searchable fields for View include string and map-type attributes from the queryable attributes list. The whole string must be query-encoded. | |
include |
string | Include clause for expanding related entities in the response for View. The attribute names are case-sensitive, PascalCase, and expected in a comma-separated list format as in the JSON encoding. Supported attributes for View are FilterID, OrganizationID, SpaceID. The whole string must be query-encoded. | |
name_prefixes |
string | Comma-separated list of prefixes to apply to cloned View names | |
where_space |
string | The specified string is an expression for the purpose of filtering the list of Spaces returned. The expression syntax was inspired by SQL. It supports conjunctions using AND of relational expressions of the form attribute operator attribute_or_literal. The attribute names are case-sensitive and PascalCase, as in the JSON encoding. Strings support the following operators: <, >, <=, >=, =, !=, LIKE, ILIKE, ~~, !~~, ~, ~*, !~, !~*, IN, NOT IN. String pattern operators: LIKE and ~~ for pattern matching with % and _ wildcards, ILIKE for case-insensitive pattern matching, !~~ for NOT LIKE. String regex operators: ~ for regex matching, ~* for case-insensitive regex, !~ and !~* for regex not matching (case-sensitive and insensitive). Integers support the following operators: <, >, <=, >=, =, !=, IN, NOT IN. UUIDs and boolean attributes support equality and inequality only. UUID and time literals must be quoted as string literals. String literals are quoted with single quotes, such as 'string'. Time literals use the same form as when serialized as JSON, such as: CreatedAt > '2025-02-18T23:16:34'. Integer and boolean literals are also supported for attributes of those types. Arrays support the ? operator to to match any element of the array, as in ApprovedBy ? '7c61626f-ddbe-41af-93f6-b69f4ab6d308'. Arrays can perform LEN() to check for length, as in LEN(ApprovedBy) > 0. Map support the dot notation to specify a particular map key, as in Labels.tier = 'Backend'. The IN and NOT IN operators accept a comma-separated list of values in parentheses, such as Slug IN ('slugone', 'slugtwo') or Labels.environment IN ('prod', 'staging'). Conjunctions are supported using the AND operator. An example conjunction is: CreatedAt >= '2025-01-07' AND Slug = 'test' AND Labels.mykey = 'myvalue'. Supported attributes for filtering on Space: CreatedAt, DeleteGates, DisplayName, Labels, OrganizationID, Slug, SpaceID, UpdatedAt. Where expression to select destination spaces for cloning views The whole string must be query-encoded. |
|
filter_space |
string | UUID of a Filter entity to apply to the Space list. The Filter must be in the same Organization as the user credentials. The Filter's From field must match the entity type being filtered (Space). For Space-resident entities, if the Filter has a FromSpaceID, it must match the operation's SpaceID. The Filter's Where clause will be combined with any explicit 'where' parameter using AND logic. If both 'filter' and 'where' parameters are specified, they are combined with AND logic. | |
allow_exists |
string | Allowed values are true and false. Default is false. When true, reports success when an entity already exists and returns the existing entity |
Request Body
Content-Type: application/merge-patch+json
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | OK | application/json |
Array of ViewCreateOrUpdateResponse |
| 207 | Multi-Status (partial success) | application/json |
Array of ViewCreateOrUpdateResponse |
| 400 | View request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | View not found. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing View. | application/json |
StandardErrorResponse |
| default | application/json |
Array of ViewCreateOrUpdateResponse |
Patch View
PATCH /space/{space_id}/view/{view_id}
Patch View
Operation ID: PatchView
Parameters
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
space_id |
string | ✓ | Unique identifier for a space_id |
view_id |
string | ✓ | Unique identifier for a view_id |
Request Body
Content-Type: application/merge-patch+json
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | Defines an entity view. | application/json |
View |
| 400 | View request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | View not found. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing View. | application/json |
StandardErrorResponse |
| default | Defines an entity view. | application/json |
View |
Update View
PUT /space/{space_id}/view/{view_id}
Update View
Operation ID: UpdateView
Parameters
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
space_id |
string | ✓ | Unique identifier for a space_id |
view_id |
string | ✓ | Unique identifier for a view_id |
Request Body
Content-Type: application/json
Schema: View
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | Defines an entity view. | application/json |
View |
| 400 | View request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | View not found. | application/json |
StandardErrorResponse |
| 409 | View data conflict. Data has changed since last read. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing View. | application/json |
StandardErrorResponse |
| default | Defines an entity view. | application/json |
View |
Bulk patch multiple views
PATCH /view
Apply JSON merge patch to multiple views selected by query parameters
Operation ID: BulkPatchViews
Parameters
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
where |
string | The specified string is an expression for the purpose of filtering the list of Views returned. The expression syntax was inspired by SQL. It supports conjunctions using AND of relational expressions of the form attribute operator attribute_or_literal. The attribute names are case-sensitive and PascalCase, as in the JSON encoding. Strings support the following operators: <, >, <=, >=, =, !=, LIKE, ILIKE, ~~, !~~, ~, ~*, !~, !~*, IN, NOT IN. String pattern operators: LIKE and ~~ for pattern matching with % and _ wildcards, ILIKE for case-insensitive pattern matching, !~~ for NOT LIKE. String regex operators: ~ for regex matching, ~* for case-insensitive regex, !~ and !~* for regex not matching (case-sensitive and insensitive). Integers support the following operators: <, >, <=, >=, =, !=, IN, NOT IN. UUIDs and boolean attributes support equality and inequality only. UUID and time literals must be quoted as string literals. String literals are quoted with single quotes, such as 'string'. Time literals use the same form as when serialized as JSON, such as: CreatedAt > '2025-02-18T23:16:34'. Integer and boolean literals are also supported for attributes of those types. Arrays support the ? operator to to match any element of the array, as in ApprovedBy ? '7c61626f-ddbe-41af-93f6-b69f4ab6d308'. Arrays can perform LEN() to check for length, as in LEN(ApprovedBy) > 0. Map support the dot notation to specify a particular map key, as in Labels.tier = 'Backend'. The IN and NOT IN operators accept a comma-separated list of values in parentheses, such as Slug IN ('slugone', 'slugtwo') or Labels.environment IN ('prod', 'staging'). Conjunctions are supported using the AND operator. An example conjunction is: CreatedAt >= '2025-01-07' AND Slug = 'test' AND Labels.mykey = 'myvalue'. Supported attributes for filtering on View: CreatedAt, DisplayName, FilterID, GroupBy, Labels, OrderBy, OrderByDirection, OrganizationID, Slug, SpaceID, UpdatedAt, ViewID. The whole string must be query-encoded. |
|
filter |
string | UUID of a Filter entity to apply to the View list. The Filter must be in the same Organization as the user credentials. The Filter's From field must match the entity type being filtered (View). For Space-resident entities, if the Filter has a FromSpaceID, it must match the operation's SpaceID. The Filter's Where clause will be combined with any explicit 'where' parameter using AND logic. If both 'filter' and 'where' parameters are specified, they are combined with AND logic. | |
contains |
string | Free text search that approximately matches the specified string against string fields and map keys/values. The search is case-insensitive and uses pattern matching to find entities containing the text. Searchable string fields include attributes like Slug, DisplayName, and string-typed custom fields. For map fields (like Labels and Annotations), the search matches both map keys and values. The search uses OR logic across all searchable fields, so matching any field will return the entity. If both 'where' and 'contains' parameters are specified, they are combined with AND logic. Searchable fields for View include string and map-type attributes from the queryable attributes list. The whole string must be query-encoded. | |
include |
string | Include clause for expanding related entities in the response for View. The attribute names are case-sensitive, PascalCase, and expected in a comma-separated list format as in the JSON encoding. Supported attributes for View are FilterID, OrganizationID, SpaceID. The whole string must be query-encoded. |
Request Body
Content-Type: application/merge-patch+json
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | OK | application/json |
Array of ViewCreateOrUpdateResponse |
| 207 | Multi-Status: Mixed success and failure results | application/json |
Array of ViewCreateOrUpdateResponse |
| 400 | View request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | View not found. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing View. | application/json |
StandardErrorResponse |
| default | application/json |
Array of ViewCreateOrUpdateResponse |
Delete View
DELETE /space/{space_id}/view/{view_id}
Delete View
Operation ID: DeleteView
Parameters
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
space_id |
string | ✓ | Unique identifier for a space_id |
view_id |
string | ✓ | Unique identifier for a view_id |
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | Response for successful delete operation | application/json |
DeleteResponse |
| 400 | View request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | View not found. | application/json |
StandardErrorResponse |
| 422 | View could not be deleted. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing View. | application/json |
StandardErrorResponse |
| default | Response for successful delete operation | application/json |
DeleteResponse |
Bulk delete multiple views
DELETE /view
Delete multiple views selected by query parameters
Operation ID: BulkDeleteViews
Parameters
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
where |
string | The specified string is an expression for the purpose of filtering the list of Views returned. The expression syntax was inspired by SQL. It supports conjunctions using AND of relational expressions of the form attribute operator attribute_or_literal. The attribute names are case-sensitive and PascalCase, as in the JSON encoding. Strings support the following operators: <, >, <=, >=, =, !=, LIKE, ILIKE, ~~, !~~, ~, ~*, !~, !~*, IN, NOT IN. String pattern operators: LIKE and ~~ for pattern matching with % and _ wildcards, ILIKE for case-insensitive pattern matching, !~~ for NOT LIKE. String regex operators: ~ for regex matching, ~* for case-insensitive regex, !~ and !~* for regex not matching (case-sensitive and insensitive). Integers support the following operators: <, >, <=, >=, =, !=, IN, NOT IN. UUIDs and boolean attributes support equality and inequality only. UUID and time literals must be quoted as string literals. String literals are quoted with single quotes, such as 'string'. Time literals use the same form as when serialized as JSON, such as: CreatedAt > '2025-02-18T23:16:34'. Integer and boolean literals are also supported for attributes of those types. Arrays support the ? operator to to match any element of the array, as in ApprovedBy ? '7c61626f-ddbe-41af-93f6-b69f4ab6d308'. Arrays can perform LEN() to check for length, as in LEN(ApprovedBy) > 0. Map support the dot notation to specify a particular map key, as in Labels.tier = 'Backend'. The IN and NOT IN operators accept a comma-separated list of values in parentheses, such as Slug IN ('slugone', 'slugtwo') or Labels.environment IN ('prod', 'staging'). Conjunctions are supported using the AND operator. An example conjunction is: CreatedAt >= '2025-01-07' AND Slug = 'test' AND Labels.mykey = 'myvalue'. Supported attributes for filtering on View: CreatedAt, DisplayName, FilterID, GroupBy, Labels, OrderBy, OrderByDirection, OrganizationID, Slug, SpaceID, UpdatedAt, ViewID. The whole string must be query-encoded. |
|
filter |
string | UUID of a Filter entity to apply to the View list. The Filter must be in the same Organization as the user credentials. The Filter's From field must match the entity type being filtered (View). For Space-resident entities, if the Filter has a FromSpaceID, it must match the operation's SpaceID. The Filter's Where clause will be combined with any explicit 'where' parameter using AND logic. If both 'filter' and 'where' parameters are specified, they are combined with AND logic. | |
contains |
string | Free text search that approximately matches the specified string against string fields and map keys/values. The search is case-insensitive and uses pattern matching to find entities containing the text. Searchable string fields include attributes like Slug, DisplayName, and string-typed custom fields. For map fields (like Labels and Annotations), the search matches both map keys and values. The search uses OR logic across all searchable fields, so matching any field will return the entity. If both 'where' and 'contains' parameters are specified, they are combined with AND logic. Searchable fields for View include string and map-type attributes from the queryable attributes list. The whole string must be query-encoded. | |
include |
string | Include clause for expanding related entities in the response for View. The attribute names are case-sensitive, PascalCase, and expected in a comma-separated list format as in the JSON encoding. Supported attributes for View are FilterID, OrganizationID, SpaceID. The whole string must be query-encoded. |
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | OK | application/json |
Array of DeleteResponse |
| 207 | Multi-Status: Mixed success and failure results | application/json |
Array of DeleteResponse |
| 400 | View request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | View not found. | application/json |
StandardErrorResponse |
| 422 | Unable to delete entity | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing View. | application/json |
StandardErrorResponse |
| default | application/json |
Array of DeleteResponse |
Schemas
DeleteResponse
Response for successful delete operation
Properties
| Property | Type | Required | Description |
|---|---|---|---|
Error |
ResponseError |
||
Message |
string | Response message. |
ExtendedView
Properties
| Property | Type | Required | Description |
|---|---|---|---|
Error |
ResponseError |
||
Filter |
Filter |
||
Organization |
Organization |
||
Space |
Space |
||
View |
View |
StandardErrorResponse
Error response details.
Properties
| Property | Type | Required | Description |
|---|---|---|---|
Code |
string | HTTP status code of the response. | |
Message |
string | Message returned with the response. |
View
Defines an entity view.
Properties
| Property | Type | Required | Description |
|---|---|---|---|
Annotations |
object | An optional map of Annotation key/value pairs for tools to attach information to entities. | |
Columns |
Array of Column |
Columns to display, in order. (optional) | |
CreatedAt |
string (date-time) | The timestamp when the entity was created in "2023-01-01T12:00:00Z" format. | |
CursorID |
integer (int64) | An auto-incrementing sequence number used for pagination. | |
DeleteGates |
object | An optional set of gates that, if any is present, will block deletion. | |
DisplayName |
string | Friendly name for the entity. | |
EntityType |
string | The type of entity. | |
FilterID |
string (uuid) | ✓ | FilterID identifies a filter. (required) |
GroupBy |
string | Column to group by (optional). | |
Labels |
object | An optional map of Label key/value pairs to specify identifying attributes of entities for the purpose of grouping and filtering them. | |
OrderBy |
string | Column to sort by. (optional) | |
OrderByDirection |
string | Columnn sort order, ASC or DESC. Default is ASC. Only should be specified if OrderBy is specified. (optional) | |
OrganizationID |
string (uuid) | Unique identifier for an organization. | |
Slug |
string | ✓ | Unique URL-safe identifier for the entity. |
SpaceID |
string (uuid) | Unique identifier for a space. | |
UpdatedAt |
string (date-time) | The timestamp when the entity was last updated in "2023-01-01T12:00:00Z" format. | |
Version |
integer (int64) | An entity-specific sequence number used for optimistic concurrency control. The value read must be sent in calls to Update. | |
ViewID |
string (uuid) | ViewID uniquely identifies a view within the system. |
ViewCreateOrUpdateResponse
Properties
| Property | Type | Required | Description |
|---|---|---|---|
Error |
ResponseError |
||
View |
View |